"use client";
import { useAppSelector as i } from "../hooks.js";
var l = (e) => e.options.defaultTooltipEventType, p = (e) => e.options.validateTooltipEventTypes;
function r(e, t, n) {
  if (e == null)
    return t;
  var o = e ? "axis" : "item";
  return n == null ? t : n.includes(o) ? o : t;
}
function u(e, t) {
  var n = l(e), o = p(e);
  return r(t, n, o);
}
function T(e) {
  return i((t) => u(t, e));
}
export {
  r as combineTooltipEventType,
  l as selectDefaultTooltipEventType,
  u as selectTooltipEventType,
  p as selectValidateTooltipEventTypes,
  T as useTooltipEventType
};
